﻿Type=StaticCode
Version=3.01
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Code module

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'Public variables can be accessed from all modules.
	Dim PG As Page
    Dim Timer1 As Timer
	Dim Size As Int = 0
	Dim MonComp As Int = 0
	Dim EtatLecture As String = "Pause"
	Dim Concerned As String
	Dim MediaPlayer1 As MediaPlayer
	Dim Size As Int = 0
	Private ListViewCats As CustomListView
	Private pnlContent As Panel
	Private lblEnglish As Label
	Private lblTrans As Label
	Private lblArabic As Label
	Private pline As Panel
	Private ImageView1 As ImageView
	Private Label1 As Label
	Private Label2 As Label
	Private Panel1 As Panel
	Private Panel2 As Panel
	Private Panel3 As Panel
	Private pnline As Panel
	Private lblMenu As Label
	Private paction As Panel
End Sub

Sub AlphaNumPage_Appear
	Main.NavControl.ToolBarVisible = False
	Timer1.Enabled = False
	Size = 0
	ListViewCats.JumpToItem(0)
End Sub

Public Sub Show
	Main.NavControl.ToolBarVisible = False
	
	
	If PG.IsInitialized = False Then
		PG.Initialize("PG")
		PG.RootPanel.LoadLayout("main")
		PG.RootPanel.Color = Colors.White 
		pnlContent.LoadLayout("alphanumlay")
		PG.HideBackButton = False
	End If
	
	
	
	ListViewCats.Clear
	
	Main.NavControl.ShowPage(PG)

	lblMenu.Text = Concerned
	
	PG.Title = "Learn Arabic"& " V " & Utils.GetVersion 
	
	Timer1.Initialize("Timer1",1)
		
	ImageView1.Bitmap = Utils.ResizeImage (LoadBitmap(File.DirAssets,"play.png"),ImageView1.Width,ImageView1.Height)
	
	FillListView(Concerned)
	
End Sub

Sub ListViewCats_ItemClick (Position As Int, Value As Object)
	If EtatLecture = "Playing" Then
		Utils.ShowToast("Batch Reading On Please First Stop It")
		Return
		Else
      Dim MyVal As String = Value
	Log(MyVal)
	'Play_Sound(Utils.getSoundLink2(Concerned,Utils.convertQuotes(MyVal)))
	End If
End Sub

Sub FillListView(WithConcerned As String)
    ListViewCats.Clear
	Dim SQL As  SQL = Utils.OpenDatabase("learnarabic.db",False)
	Dim RS As ResultSet
	ListViewCats.GetBase.Color = Colors.White
	RS = SQL.ExecQuery("SELECT * FROM Arabic_Categories where categories = '"& WithConcerned&"'")
	Do While RS.NextRow
	Dim MyPanel As Panel
	MyPanel.Initialize("")
	MyPanel = CreateListItem( RS.GetString("english_word"),"("&RS.GetString("transliteration_word")&")",RS.GetString("arabic_word"),ListViewCats.GetBase.Width, 25%y)
	Size = Size + 1
    ListViewCats.Add(MyPanel, 25%y,RS.GetString("id"))
	Log(RS.GetString("english_word")&RS.GetString("transliteration_word")&RS.GetString("arabic_word"))
	Loop
End Sub

Sub CreateListItem(ENText As String,TText As String,AText As String, Width As Int, Height As Int) As Panel
	Dim p As Panel
	p.Initialize("")
	p.LoadLayout("readerpnl1")
	lblEnglish.Text = ENText
	lblTrans.Text  = TText
	lblArabic.Text = AText
	Return p
End Sub

Sub ImageView1_LongClick
	If EtatLecture = "Playing" Then
	Dim Question As String = "Confirm ! " 	
	Msgbox2 ("MsgDelete", "Do You Really Want To Stop Batch Reading ?", Question, Array As String("Yes", "No"))
	Else If EtatLecture = "Pause" Then 
	ImageView1.Bitmap = Utils.ResizeImage (LoadBitmap(File.DirAssets,"pause.png"),ImageView1.Width,ImageView1.Height)
	Timer1.Enabled = True
	Timer1.Interval = 1
	EtatLecture = "Playing"
	End If
End Sub

Sub ImageView1_Click
	If EtatLecture = "Playing" Then
	Dim Question As String = "Confirm ! " 	
	Msgbox2 ("MsgDelete", "Do You Really Want To Stop Batch Reading ?", Question, Array As String("Yes", "No"))
	Else If EtatLecture = "Pause" Then 
	ImageView1.Bitmap = Utils.ResizeImage (LoadBitmap(File.DirAssets,"pause.png"),ImageView1.Width,ImageView1.Height)
	Timer1.Enabled = True
	Timer1.Interval = 1
	EtatLecture = "Playing"
	End If
End Sub


Sub PG_Disapear
 MediaPlayer1.Stop
 EtatLecture = "Pause" 
' Menu.Show
End Sub


Private Sub MsgDelete_Click(ButtonText As String)
If ButtonText = "Yes" Then						'if yes, delete the entry
Timer1.Enabled = False
ImageView1.Bitmap =Utils.ResizeImage (LoadBitmap(File.DirAssets,"play.png"),ImageView1.Width,ImageView1.Height)
ListViewCats.JumpToItem(0)
EtatLecture = "Pause"
Else If ButtonText = "No" Then 
Utils.ShowToast("Batch Reading Continues")
End If 
End Sub

Sub Play_Sound(FileLink As String)
	Try		
        MediaPlayer1.Initialize(File.DirAssets, FileLink,"MediaPlayer1")
		MediaPlayer1.Play
	Catch
		Log(LastException)
		MediaPlayer1.Stop
	End Try
End Sub

Sub Timer1_Tick
	Try
	ListViewCats.JumpToItem(MonComp)
	MonComp = MonComp+ 1
	Log(MonComp)
	If MonComp = Size  Then
		MediaPlayer1.Stop
		Timer1.Enabled = False
		MonComp = 0
		ImageView1.Bitmap = Utils.ResizeImage (LoadBitmap(File.DirAssets,"play.png"),ImageView1.Width,ImageView1.Height)
		EtatLecture = "Pause"
		ListViewCats.JumpToItem(0)
		Return
	End If
	Catch
		MediaPlayer1.Stop
		Timer1.Enabled = False
		MonComp = 0
		ImageView1.Bitmap = Utils.ResizeImage (LoadBitmap(File.DirAssets,"play.png"),ImageView1.Width,ImageView1.Height)
		EtatLecture = "Pause"
		ListViewCats.JumpToItem(0)
		Return
		Log(LastException)
	End Try
	Timer1.Interval = 3000
End Sub


