﻿Type=StaticCode
Version=3.01
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Code module

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'Public variables can be accessed from all modules.
	Public hd As HUD
     Public AppPath As String = File.DirDocuments
End Sub



Public Sub OpenDatabase(Database As String, bReplace As Boolean) As SQL
	Dim SQLi As SQL
	Database = Database.ToLowerCase
	If bReplace = True Then
		File.Copy(File.DirAssets, Database, AppPath, Database) 
	Else
		If File.Exists(File.DirDocuments, Database) = False Then
			File.Copy(File.DirAssets,Database, AppPath,Database) 
		End If
	End If
	SQLi.Initialize(AppPath, Database, True)
	Return SQLi
End Sub

 Public Sub convertQuotes(str As String) As String
	 Return str.Replace("'", "''")
 End Sub
 

Sub ResizeImage (Image As Bitmap, Width As Int, Height As Int) As Bitmap
    Dim PhotoCanvas As Canvas
    Dim PhotoPanel As Panel
    Dim PhotoView As ImageView
    Dim NewImage As Bitmap
   
    PhotoPanel.Initialize("")
    PhotoPanel.Width = Width / 2
    PhotoPanel.Height = Height / 2
   
    PhotoView.Initialize("")
    PhotoView.Bitmap = Image
   
    PhotoPanel.AddView(PhotoView,0,0,Width / 2,Height / 2)

    PhotoCanvas.Initialize(PhotoPanel)
    NewImage = PhotoCanvas.CreateBitmap
   
    Return NewImage
End Sub

Sub GetVersion As String
   Dim no As NativeObject
   no = no.Initialize("NSBundle").RunMethod("mainBundle", Null)
   Dim name As Object = no.RunMethod("objectForInfoDictionaryKey:", Array("CFBundleShortVersionString"))
   Return name
End Sub

' show a toast message
Public Sub ShowToast(msg As String)
	hd.ToastMessageShow(msg,True) 
End Sub

' show a progress bar image
Public Sub ShowProgress(msg As String)
	hd.ProgressDialogShow(msg) 
End Sub

' hide the progress bar
Public Sub HideProgress()	
	hd.ProgressDialogHide 
End Sub
